import {select,json,geoPath,geoAlbersUsa} from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const projectionofstates = geoAlbersUsa();
const pathGenerating = geoPath().projection(projectionofstates);
//america map//

json(
  'https://gist.githubusercontent.com/eravellisaimeghana/fe7e5645fd51a48b6fb87b616fdb13b6/raw/59f175298299a09d650ef38a4acd4b26b311b9aa/countrymap.csv'
).then((data) => {
  const statesOfAmerica =feature(data, data.objects.states);
//appending states of america//
  console.log(statesOfAmerica);
  console.log(data);
  svg
    .selectAll('path')
    .data(statesOfAmerica.features)
    .enter()
    .append('path')
    .attr('class', 'states')
    .attr('d', (d) => pathGenerating(d))
    .append('title')
    .text(d=>d.properties.name);
});

